
TYPO3.Flow - Task # 2524

Status: Resolved Priority: Must have
Author: Robert Lemke Category:
Created: 2009-01-28 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Short filenames for class files
Description

The convention for names of class files is changed from

  F3_Package_SubPackage_SubSubPackage_UnqualifiedClassName.php

to

  UnqualifiedClassName.php

See also:
http://lists.netfielders.de/pipermail/typo3-project-5_0-general/2009-January/001761.html

Associated revisions
Revision f588de93 - 2009-01-28 12:44 - Robert Lemke

Adapted the index*.php files to match the new namespace of the FLOW3 bootstrap. Addresses #2524

Revision ad1893dc - 2009-01-28 12:50 - Robert Lemke

Adapted the index*.php files to match the new namespace of the FLOW3 bootstrap. Addresses #2524

Revision 220d4cb6 - 2009-01-28 13:04 - Robert Lemke

!!! Globally renamed all class files to the new shorter version. Resolves #2524
FLOW3: (Resource) Adapted the class loader and other related parts of FLOW3 to the new class filename convention
FLOW3: Moved the FLOW3 bootstrap into the F3\FLOW3 namepace

History
#1 - 2009-01-28 13:05 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1811.
